package com.ym.mec.biz.dal.entity;

import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.math.BigDecimal;

/**
 * 对应数据库表(vip_group_default_classes_unit_price_):
 */
public class VipGroupDefaultClassesUnitPrice {

	/**  */
	private Integer id;
	
	@ApiModelProperty(value = "所属分部",required = false)
	private Integer organId;
	
	@ApiModelProperty(value = "类别编号",required = false)
	private Integer vipGroupCategoryId;
	
	@ApiModelProperty(value = "线上课单价",required = false)
	private BigDecimal onlineClassesUnitPrice;
	
	@ApiModelProperty(value = "线下课单价",required = false)
	private BigDecimal offlineClassesUnitPrice;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;
	
	public void setId(Integer id){
		this.id = id;
	}
	
	public Integer getId(){
		return this.id;
	}
			
	public void setOrganId(Integer organId){
		this.organId = organId;
	}
	
	public Integer getOrganId(){
		return this.organId;
	}
			
	public void setVipGroupCategoryId(Integer vipGroupCategoryId){
		this.vipGroupCategoryId = vipGroupCategoryId;
	}
	
	public Integer getVipGroupCategoryId(){
		return this.vipGroupCategoryId;
	}
			
	public void setOnlineClassesUnitPrice(BigDecimal onlineClassesUnitPrice){
		this.onlineClassesUnitPrice = onlineClassesUnitPrice;
	}
	
	public BigDecimal getOnlineClassesUnitPrice(){
		return this.onlineClassesUnitPrice;
	}
			
	public void setOfflineClassesUnitPrice(BigDecimal offlineClassesUnitPrice){
		this.offlineClassesUnitPrice = offlineClassesUnitPrice;
	}
	
	public BigDecimal getOfflineClassesUnitPrice(){
		return this.offlineClassesUnitPrice;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
